Imagick::readImageFile
Imagick::removeImage
The Imagick class
PHP Manual

# Imagick::reduceNoiseImage

(No version information available, might be only in CVS)

Imagick::reduceNoiseImage — Smooths the contours of an image

### Description

bool Imagick::reduceNoiseImage ( float `$radius` )
Warning

This function is currently not documented; only its argument list is available.

Smooths the contours of an image while still preserving edge information. The algorithm works by replacing each pixel with its neighbor closest in value. A neighbor is defined by radius. Use a radius of 0 and Imagick::reduceNoiseImage() selects a suitable radius for you.

### Parameters

`radius`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::readImageFile
Imagick::removeImage
The Imagick class
PHP Manual